import json
import datetime

encoder = lambda obj: (
    obj.isoformat()
    if isinstance(obj, datetime.datetime)
    or isinstance(obj, datetime.date)
    else obj
)

class Encoder(json.JSONEncoder):
    def default(self, obj):
        if isinstance(obj, datetime.datetime) or isinstance(obj, datetime.date):
            return obj.isoformat()
        if isinstance(obj, object):
            return obj.__dict__
        return json.JSONEncoder.default(self, obj)


def serializable(obj):
    return json.loads(json.dumps(obj, cls=Encoder))
